Lister les Autonomy Zones de l’organisation
GET/api/public/v1/zones
Every live layer with its counts. Creates the organization's root unit and root zone on first call — the other trigger besides GET /org-units, through the same bootstrap.
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/zones' \ -H "Authorization: Bearer $OPENLATCH_API_KEY"import jsonimport osimport urllib.request
request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/zones', method='GET', headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/zones' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}Invoke-RestMethod -Method GET -Uri 'https://app.openlatch.ai/api/public/v1/zones' -Headers $headers | ConvertTo-Json -Depth 20Autorisation
Section intitulée « Autorisation »| Rôle dans l’organisation | Ce point de terminaison |
|---|---|
owner | Autorisé |
admin | Autorisé |
editor | Autorisé |
viewer | Autorisé |
Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.
Portée de clé d’API : zones:read
- 200 OK — l’appel a réussi.
- 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 422 Unprocessable Content —
INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Champs de la réponse
Section intitulée « Champs de la réponse »| Champ | Type | Description |
|---|---|---|
data | array of object | Obligatoire. |
data[].agents_compatibility_unavailable | integer | Obligatoire. |
data[].agents_direct | integer | Obligatoire. |
data[].agents_subtree | integer | Obligatoire. |
data[].id | string | Obligatoire. |
data[].is_default | boolean | |
data[].is_root | boolean | Obligatoire. |
data[].org_unit_id | string | Obligatoire. |
data[].path | string | Obligatoire. |
data[].policies_in_force | integer | Obligatoire. |
Exemple de réponse
Section intitulée « Exemple de réponse »{ "data": [ { "agents_compatibility_unavailable": 3, "agents_direct": 3, "agents_subtree": 3, "id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "is_default": false, "is_root": false, "org_unit_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "path": "Engineering / Platform", "policies_in_force": 3 } ]}